<?php

namespace Drupal\track_da_files\PathProcessor;

use Drupal\Core\PathProcessor\InboundPathProcessorInterface;
use Symfony\Component\HttpFoundation\Request;

class TdfInboundPathProcessor implements InboundPathProcessorInterface {

  /**
   * {@inheritdoc}
   */
  public function processInbound($path, Request $request) {
    if (str_starts_with($path, '/system/tdf/') && !$request->query->has('file_path')) {
      $file_path = preg_replace('|^\/system\/tdf\/|', '', $path);
      $request->query->set('file_path', $file_path);

      return '/system/tdf';
    }
    return $path;
  }

}
