<?php

namespace Drupal\track_da_files\PathProcessor;

use Drupal\Core\PathProcessor\OutboundPathProcessorInterface;
use Drupal\Core\Render\BubbleableMetadata;
use Symfony\Component\HttpFoundation\Request;

class TdfOutboundPathProcessor implements OutboundPathProcessorInterface {

  /**
   * {@inheritdoc}
   */
  public function processOutbound(
    $path,
    &$options = [],
    Request $request = NULL,
    BubbleableMetadata $bubbleable_metadata = NULL
  ) {
    if (str_starts_with($path, '/system/tdf') && $request->query->has('file_path')) {
      $file_path = $request->get('file_path');
      $path = preg_replace('#^/system/tdf#', '/sites/default/files', $path);
      $path .= DIRECTORY_SEPARATOR . $file_path;
    }

    return $path;
  }

}
